Subject: Ticket Assigned - Order number: 9413574092
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 08 Feb 2023 16:28:46 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order number: 9413574092 Hi Team,

Its been 2 days now and im not sure why my shipment is out for delivery every day and not being delivered to me. I have tried contacting the team on Watsapp and the social media but no one seems to give me a solid response on when my shipment will be delivered. I even tried to call the contact center but the person working there had no clue and kept repeating the same thing that the courier person will call me before delivery.  

It’s been two days and I need the shipment urgently as I am traveling out of the country but no one seems to take it as a priority. How difficult would it get to deliver in Dubai that too on Sk. Zayed Road. 

I am sure writing this mail also will not be helpful because you’re standard response will be that we will get back to you in 24 to 48 hours. Just wanted to make you aware that you guys are running a circus and your customer service sucks.

Regards,

Carlton
0562162136. 

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5685233